import sharedInterfaces.*;
import dataServerDomain.*;
import guiDomain.*;
import graphicsDomain.*;


public class EScope8
{
    public static void main(String args[])
    {
        new EScope8();
    }

    public EScope8()
    {   // create domains
	GuiFacadeInterface gui = new GuiFacade();
	AbstractGraphicsFacade graph = new GraphicsFacade();
        DataServerFacadeInterface data = new DataServerProxy();
	// associate domains with each other
	gui.initialise(data, graph);
    }
}
